# Method: labels.permissions.batchUpdate

- [HTTP request](https://developers.google.com/workspace/drive/labels/reference/rest/v2/labels.permissions/batchUpdate#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/drive/labels/reference/rest/v2/labels.permissions/batchUpdate#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/drive/labels/reference/rest/v2/labels.permissions/batchUpdate#body.request_body)
  - [JSON representation](https://developers.google.com/workspace/drive/labels/reference/rest/v2/labels.permissions/batchUpdate#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/workspace/drive/labels/reference/rest/v2/labels.permissions/batchUpdate#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/drive/labels/reference/rest/v2/labels.permissions/batchUpdate#body.aspect)
- [Try it!](https://developers.google.com/workspace/drive/labels/reference/rest/v2/labels.permissions/batchUpdate#try-it)

Updates label permissions. If a permission for the indicated principal doesn't exist, a label permission is created, otherwise the existing permission is updated. Permissions affect the label resource as a whole, aren't revisioned, and don't require publishing.

### HTTP request

`POST https://drivelabels.googleapis.com/v2/{parent=labels/*}/permissions:batchUpdate`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent label resource name shared by all permissions being updated. Format: `labels/{label}`. If this is set, the parent field in the `UpdateLabelPermissionRequest` messages must either be empty or match this field. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "requests": [ { object (`UpdateLabelPermissionRequest`) } ], "useAdminAccess": boolean } ``` |

| Fields ||
|---|---|
| `requests[]` | ``object (`UpdateLabelPermissionRequest`)`` Required. The request message specifying the resources to update. |
| `useAdminAccess` | `boolean` Set to `true` in order to use the user's admin credentials. The server will verify the user is an admin for the label before allowing access. If this is set, the `useAdminAccess` field in the `UpdateLabelPermissionRequest` messages must either be empty or match this field. |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/drive/labels/reference/rest/v2/BatchUpdateLabelPermissionsResponse`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/drive.labels`
- `
  https://www.googleapis.com/auth/drive.admin.labels`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).